### Function

# Gimp Metadata load_from_file

#### Declaration [src]

    GimpMetadata*
    gimp_metadata_load_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

Loads `GimpMetadata` from `file`.

Available since: | 2.10

#### Parameters

`file` | `GFile`
| The `GFile` to load the metadata from.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpMetadata`
| The loaded `GimpMetadata`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.